GDB (xrefs)

Public Member Functions | Private Member Functions | List of all members
gdb.command.frame_filters.SetFrameFilterPriority Class Reference
Inheritance diagram for gdb.command.frame_filters.SetFrameFilterPriority:

## Public Member Functions
def | __init__ (self)
def | complete (self, text, word)
def | invoke (self, arg, from_tty)
def | __init__ (self)
def | complete (self, text, word)
def | invoke (self, arg, from_tty)

## Private Member Functions
def | _parse_pri_arg (self, arg)
def | _set_filter_priority (self, command_tuple)
def | _parse_pri_arg (self, arg)
def | _set_filter_priority (self, command_tuple)

## Detailed Description

    GDB command to set the priority of the specified frame-filter.

    Usage: set frame-filter priority DICTIONARY NAME PRIORITY

    DICTIONARY is the name of the frame filter dictionary on which to
    operate.  Named dictionaries are: "global" for the global frame
    filter dictionary, "progspace" for the program space's framefilter
    dictionary.  If either of these two are not specified, the
    dictionary name is assumed to be the name of the object-file name.

    NAME matches the name of the frame filter to operate on.

    PRIORITY is the an integer to assign the new priority to the frame
    filter.

Definition at line 275 of file frame_filters.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.command.frame_filters.SetFrameFilterPriority.__init__ | ( |  | self | ) |

Definition at line 292 of file frame_filters.py.

Referenced by gdb.command.frame_filters.SetFrameFilterPriority.__init__().

## ◆ __init__() [2/2]

def gdb.command.frame_filters.SetFrameFilterPriority.__init__ | ( |  | self | ) |

Definition at line 292 of file frame_filters.py.

References gdb.command.frame_filters.SetFrameFilterPriority.__init__().

## Member Function Documentation

## ◆ _parse_pri_arg() [1/2]

def gdb.command.frame_filters.SetFrameFilterPriority._parse_pri_arg | ( |  | self,
|  |  | arg
| ) |  |
| private

    Internal worker to parse a priority from a tuple.

    Arguments:
        arg: Tuple which contains the arguments from the command.

    Returns:
        A tuple containing the dictionary, name and priority from
        the arguments.

    Raises:
        gdb.GdbError: An error parsing the arguments.

Definition at line 297 of file frame_filters.py.

Referenced by gdb.command.frame_filters.SetFrameFilterPriority._parse_pri_arg(), gdb.command.frame_filters.SetFrameFilterPriority.invoke(), and gdb.command.frame_filters.ShowFrameFilterPriority.invoke().

## ◆ _parse_pri_arg() [2/2]

def gdb.command.frame_filters.SetFrameFilterPriority._parse_pri_arg | ( |  | self,
|  |  | arg
| ) |  |
| private

    Internal worker to parse a priority from a tuple.

    Arguments:
        arg: Tuple which contains the arguments from the command.

    Returns:
        A tuple containing the dictionary, name and priority from
        the arguments.

    Raises:
        gdb.GdbError: An error parsing the arguments.

Definition at line 297 of file frame_filters.py.

References gdb.command.frame_filters.SetFrameFilterPriority._parse_pri_arg().

## ◆ _set_filter_priority() [1/2]

def gdb.command.frame_filters.SetFrameFilterPriority._set_filter_priority | ( |  | self,
|  |  | command_tuple
| ) |  |
| private

    Internal worker for setting priority of frame-filters, by
    parsing a tuple and calling _set_priority with the parsed
    tuple.

    Arguments:
        command_tuple: Tuple which contains the arguments from the
               command.

Definition at line 320 of file frame_filters.py.

References gdb.frames.return_list(), and gdb.frames.set_priority().

Referenced by gdb.command.frame_filters.SetFrameFilterPriority._set_filter_priority(), and gdb.command.frame_filters.SetFrameFilterPriority.invoke().

## ◆ _set_filter_priority() [2/2]

def gdb.command.frame_filters.SetFrameFilterPriority._set_filter_priority | ( |  | self,
|  |  | command_tuple
| ) |  |
| private

    Internal worker for setting priority of frame-filters, by
    parsing a tuple and calling _set_priority with the parsed
    tuple.

    Arguments:
        command_tuple: Tuple which contains the arguments from the
               command.

Definition at line 320 of file frame_filters.py.

References gdb.command.frame_filters.SetFrameFilterPriority._set_filter_priority(), gdb.frames.return_list(), and gdb.frames.set_priority().

## ◆ complete() [1/2]

def gdb.command.frame_filters.SetFrameFilterPriority.complete | ( |  | self,
|  |  | text,
|  |  | word
| ) |  |

    Completion function for both frame filter dictionary, and
    frame filter name.

Definition at line 347 of file frame_filters.py.

References gdb.command.frame_filters._complete_frame_filter_list(), gdb.command.frame_filters._complete_frame_filter_name(), gdb.command.frame_filters.SetFrameFilterPriority.complete(), and gdb.frames.return_list().

## ◆ complete() [2/2]

def gdb.command.frame_filters.SetFrameFilterPriority.complete | ( |  | self,
|  |  | text,
|  |  | word
| ) |  |

    Completion function for both frame filter dictionary, and
    frame filter name.

Definition at line 347 of file frame_filters.py.

References gdb.command.frame_filters._complete_frame_filter_list(), gdb.command.frame_filters._complete_frame_filter_name(), and gdb.frames.return_list().

Referenced by gdb.command.frame_filters.SetFrameFilterPriority.complete().

## ◆ invoke() [1/2]

def gdb.command.frame_filters.SetFrameFilterPriority.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 356 of file frame_filters.py.

References gdb.command.frame_filters.SetFrameFilterPriority._parse_pri_arg(), and gdb.command.frame_filters.SetFrameFilterPriority._set_filter_priority().

Referenced by gdb.command.frame_filters.SetFrameFilterPriority.invoke().

## ◆ invoke() [2/2]

def gdb.command.frame_filters.SetFrameFilterPriority.invoke | ( |  | self,
|  |  | arg,
|  |  | from_tty
| ) |  |

Definition at line 356 of file frame_filters.py.

References gdb.command.frame_filters.SetFrameFilterPriority._parse_pri_arg(), gdb.command.frame_filters.SetFrameFilterPriority._set_filter_priority(), and gdb.command.frame_filters.SetFrameFilterPriority.invoke().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/command/frame_filters.py